Groups

Get Group Audit Logs

GET
/groups/{groupId}/auditLogs

Returns a list of audit logs for a Group.

Authorization

authCookie
auth<token>

Auth Token via Cookie

In: cookie

Path Parameters

groupId*string

Must be a valid group ID.

Query Parameters

n?integer

The number of objects to return.

Default60
Range1 <= value <= 100
offset?integer

A zero-based offset from the default object sorting from where search results start.

Range0 <= value
startDate?string

The start date of the search range.

Formatdate-time
endDate?string

The end date of the search range.

Formatdate-time
actorIds?string

The comma-separated actor ids to search for.

eventTypes?string

The comma-separated event types to search for.

targetIds?string

The comma-separated target ids to search for.

Response Body

application/json

application/json

application/json

curl -X GET "https://api.vrchat.cloud/api/1/groups/grp_00000000-0000-0000-0000-000000000000/auditLogs"
{
  "hasNext": true,
  "results": [
    {
      "actorDisplayName": "string",
      "actorId": "usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469",
      "created_at": "2019-08-24T14:15:22Z",
      "data": {
        "description": {
          "new": "My exciting new group. It's pretty nifty!",
          "old": "My exciting new group.  It's pretty nifty!"
        },
        "joinState": {
          "new": "request",
          "old": "closed"
        }
      },
      "description": "Group role updated",
      "eventType": "group.role.update",
      "groupId": "grp_71a7ff59-112c-4e78-a990-c7cc650776e5",
      "id": "gaud_71a7ff59-112c-4e78-a990-c7cc650776e5",
      "targetId": "string"
    }
  ],
  "totalCount": 0
}
{
  "error": {
    "message": "\"Missing Credentials\"",
    "status_code": 401
  }
}
{
  "error": {
    "message": "Can't find groupǃ",
    "status_code": 404
  }
}